from typing import List, Optional
from pydantic import BaseModel
from datetime import date


class Approach(BaseModel):
    weight: float
    reps: int


class Exercise(BaseModel):
    name: str
    splitted_weight: bool = False
    approaches: List[Approach]


class Training(BaseModel):
    date: date
    exercises: Optional[List[Exercise]]

class Coach(BaseModel):
    name: str
